Page MenuHomePhabricator

[VP][RISCV] Add vp.fmuladd.
ClosedPublic

Authored by craig.topper on Sep 22 2022, 1:26 PM.

Details

Summary

Expanded in SelectionDAGBuilder similar to llvm.fmuladd.

Diff Detail

Event Timeline

craig.topper created this revision.Sep 22 2022, 1:26 PM
craig.topper requested review of this revision.Sep 22 2022, 1:26 PM
simoll accepted this revision.Sep 26 2022, 12:40 AM
This revision is now accepted and ready to land.Sep 26 2022, 12:40 AM
craig.topper planned changes to this revision.Sep 26 2022, 11:26 AM

I forgot the LangRef change.

This revision is now accepted and ready to land.Sep 26 2022, 11:36 AM
craig.topper requested review of this revision.Sep 26 2022, 11:36 AM
frasercrmck accepted this revision.Sep 27 2022, 1:41 AM

LGTM but I have seen that we have some %t and %also.r mismatches throughout the LangRef that were introduced with the more recent VP intrinsics that have probably since been copy/pasted.

llvm/docs/LangRef.rst
19442

%also.t?

This revision is now accepted and ready to land.Sep 27 2022, 1:41 AM

LGTM but I have seen that we have some %t and %also.r mismatches throughout the LangRef that were introduced with the more recent VP intrinsics that have probably since been copy/pasted.

Ignore me, I dunno what I was thinking. I think I was getting confused due to the similarity between the %r and %t lines, both being intrinsics

This revision was landed with ongoing or failed builds.Sep 27 2022, 10:03 AM
This revision was automatically updated to reflect the committed changes.